> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelgoodsorders

> Requires goods.read. The recipient username is the only recipient detail retained anywhere: delivery needs it and support needs to answer "where did it go".



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/goods/orders
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/goods/orders:
    get:
      tags:
        - panel
      description: >-
        Requires goods.read. The recipient username is the only recipient detail
        retained anywhere: delivery needs it and support needs to answer "where
        did it go".
      operationId: searchPanelGoodsOrders
      parameters:
        - $ref: '#/components/parameters/Cursor'
        - $ref: '#/components/parameters/PageSize'
        - in: query
          name: status
          schema:
            type: string
        - in: query
          name: customerId
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Shop orders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelGoodsOrderPage'
        '403':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    Cursor:
      in: query
      name: cursor
      schema:
        type: string
        description: Opaque keyset cursor from the previous page.
    PageSize:
      in: query
      name: pageSize
      schema:
        type: integer
        minimum: 1
        maximum: 500
        default: 100
  schemas:
    PanelGoodsOrderPage:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PanelGoodsOrder'
        nextCursor:
          type: string
    PanelGoodsOrder:
      type: object
      required:
        - orderId
        - customerId
        - productId
        - quantity
        - recipient
        - recipientIsSelf
        - quotedCostMinor
        - quotedPriceMinor
        - marginMinor
        - currency
        - status
        - refunded
        - createdAt
      properties:
        orderId:
          type: string
          format: uuid
        customerId:
          type: string
          format: uuid
        productId:
          type: string
          format: uuid
        quantity:
          type: integer
        recipient:
          type: string
          description: The Telegram username. No other recipient detail is retained.
        recipientIsSelf:
          type: boolean
        quotedCostMinor:
          type: integer
          format: int64
        quotedPriceMinor:
          type: integer
          format: int64
        marginMinor:
          type: integer
          format: int64
        currency:
          type: string
        status:
          type: string
          enum:
            - quoted
            - paid
            - delivering
            - delivered
            - failed
            - refunded
            - needs_review
        deliveryStatus:
          type: string
        deliveryAttempts:
          type: integer
        failureClass:
          type: string
          enum:
            - retryable
            - permanent
            - recipient_invalid
            - provider_balance
            - provider_unavailable
            - ambiguous
        errorCode:
          type: string
        refunded:
          type: boolean
        costKnown:
          type: boolean
          description: >-
            False when the provider publishes no cost for this product. The
            margin is unknown, not zero.
        deliveredAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.